open_map <- function(file_name) {
	file_name_with_path <- file.path(getwd(), file_name)
	if (.Platform$OS.type == "windows") { # Windows
		shell.exec(file_name_with_path)
	} else if (Sys.info()["sysname"] == "Darwin") { # MacOS
		system2("open", shQuote(file_name_with_path))
	} else { # Linux
		system2("xdg-open", shQuote(file_name_with_path))
	}
}